# frozen_string_literal: true

require 'bundler/setup'

require 'awesome_print'
require 'byebug'
require 'securerandom'

require 'blinkist-airbrake-scrubber'

# This file was generated by the `rspec --init` command. Conventionally, all
# specs live under a `spec` directory, which RSpec adds to the `$LOAD_PATH`.
# Require this file using `require 'spec_helper'` to ensure that it is only
# loaded once.
#
# See http://rubydoc.info/gems/rspec-core/RSpec/Core/Configuration
RSpec.configure do |config|
  config.color = true
  config.full_backtrace = true

  config.expect_with :rspec do |expectations|
    expectations.syntax = :expect
  end

  # Run specs in random order to surface order dependencies. If you find an
  # order dependency and want to debug it, you can fix the order by providing
  # the seed, which is printed after each run.
  #     --seed 1234
  config.order = 'random'

  # Configure shared airbrake so it doesn't freak out somewhere else
  Airbrake.configure do |c|
    c.project_id  = 1
    c.project_key = 'whatever'
  end
end
